---
- name: Creating Temporary Workspace
  file:
    path: "{{ workspace }}"
    state: directory

- name: Get Debian ISO
  get_url:
    url: "{{ iso_url }}"
    dest: "{{ tmp_iso_path }}"
    checksum: "sha256:{{ iso_checksum }}"
    timeout: 14400

- name: Extract ISO
  shell: "7z x {{ tmp_iso_path }} -o{{ workspace }}"

- name: Copy preseed to workspace
  copy:
    src: "{{ role_path }}/files/preseed.cfg"
    dest: "{{ workspace }}"

- name: Get sha256 sum of script
  stat:
    path: "/tmp/workspace/preseed.cfg"
    checksum_algorithm: md5
    get_checksum: yes
  register: md5sum

- name: Md5sum preseed
  lineinfile:
    dest: "{{ workspace }}/md5sum.txt"
    line: "{{ md5sum }} ./preseed.cfg"

- name: Sort preseed
  shell: "sort -o {{ workspace }}/md5sum.txt {{ workspace }}/md5sum.txt"

- name:
  shell: "xorriso -as mkisofs -r -J -V 'RedMoose Debian Template' -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -partition_offset 16 -boot-load-size 4 -boot-info-table -o {{ remastered_iso }} {{ workspace }}"
  become: yes

- name: Get sha256sum of debian iso
  stat:
    path: "{{ remastered_iso }}"
    checksum_algorithm: sha256
    get_checksum: yes
  register: sha256sum

- debug:
    msg: "{{ sha256sum.stat.checksum }}"

- name: Set sum variables
  set_fact:
    sha_checksum: "{{ sha256sum.stat.checksum }} {{ remastered_iso }}"
    checksum_file: "file:{{ sha256sum_file }}"

- name: Create local checksum file
  template:
    src: SHA256SUMS.j2
    dest: "{{ sha256sum_file }}"
